
#!/usr/bin/python
from __future__ import division
import time
import Adafruit_PCA9685

pwm = Adafruit_PCA9685.PCA9685()
servo_min = 150  # Min pulse length out of 4096
servo_max = 600  # Max pulse length out of 4096
pwm.set_pwm_freq(60)

deg_max = 150 # Max deg
deg_min = 30 # Min deg

def deg2pls(deg):
    data = int((deg-deg_min) *  (servo_max-servo_min) / (deg_max - deg_min)) + servo_min
    return data

while True:
    pwm.set_pwm(0, 0,deg2pls(120))
    time.sleep(1)
    pwm.set_pwm(0, 0,deg2pls(60))
    time.sleep(1)
    pwm.set_pwm(0, 0,deg2pls(90))
    time.sleep(1)
    pwm.set_pwm(1, 0,deg2pls(120))
    time.sleep(1)
    pwm.set_pwm(1, 0,deg2pls(60))
    time.sleep(1)
    pwm.set_pwm(1, 0,deg2pls(90))
    time.sleep(2)

