
#include <MsTimer2.h>
#define ENC_La 2  //int0
#define ENC_Ra 3  //int1
#define ENC_Lb 4
#define ENC_Rb 5
#define reset  'R'

long Rx = 0;
long Lx = 0;

char rdata ;

void count_Rx() {
  if (digitalRead(ENC_Ra) == LOW) {
    if (digitalRead(ENC_Rb) == LOW) {
      Rx++;
    }
    else {
      Rx--;
    }
  }
}
void count_Lx() {
  if (digitalRead(ENC_La) == LOW) {
    if (digitalRead(ENC_Lb) == HIGH) {
      Lx++;
    }
    else {
      Lx--;
    }
  }
}

void timer_int()
{
}

void setup() {
  pinMode(ENC_Ra, INPUT_PULLUP);
  pinMode(ENC_La, INPUT_PULLUP);
  pinMode(ENC_Lb, INPUT_PULLUP);
  pinMode(ENC_Lb, INPUT_PULLUP);
  Serial.begin(115200);
  attachInterrupt(0, count_Lx, FALLING);
  attachInterrupt(1, count_Rx, FALLING);

  MsTimer2::set(10, timer_int); // 10ms period
  MsTimer2::start();
}

void loop() {
  String json = buildJson();
  char jsonStr[200];
  if ( Serial.available() ) {
    rdata = Serial.read();
    if (rdata == reset) {
      Lx = 0;
      Rx = 0;
    }
  }
  json.toCharArray(jsonStr, 200);
  Serial.println(jsonStr);
  delay(200);
}

String buildJson() {
  String json = "{";
  json += "\"ENC_R\":";
  json += Rx;
  json += ",";
  json += "\"ENC_L\":";
  json += Lx;
  json += "}";
  return json;
}

